=== debian/changelog ===
libre (0.4.14-4) unstable; urgency=medium

  * Team upload.
  
  [ Vasudev Kamath ]
  * Use pkg-kde-tools to generate symbol files.  Fixes FTBFS on i386
    architecture due to missing symbols.
  
  [ Ramakrishnan Muthukrishnan ]
  * debian/patch/0001-get-correct-multiarch-triplet.patch: patch the
  upstream makefile to set the right multiarch triplet.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 02 Dec 2015 23:10:40 +0530

libre (0.4.14-3) unstable; urgency=low

  [ Simon Josefsson ]
  * Fix Homepage URL.
  * Add Vcs-* fields.
  * Add Vasudev as uploader.

  [ Vasudev Kamath ]
  * Include re.mk in libre-dev, this will be needed by sibling packages
    like librem and baresip.
    Closes: bug#805767, Thanks to myself.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 22 Nov 2015 16:00:50 +0530

libre (0.4.14-2) unstable; urgency=low

  * Make team maintained.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 10 Nov 2015 14:55:49 +0100

libre (0.4.14-1) unstable; urgency=low

  * Initial release.  Closes: #636272.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 26 Oct 2015 21:54:45 +0100
