=== debian/control ===
Source: libre
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>, Vasudev Kamath <vasudev@copyninja.info>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
Homepage: http://www.creytiv.com/re
Vcs-Git: git://anonscm.debian.org/pkg-voip/libre.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/libre.git

Package: libre0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic library for real-time communications with async IO support
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  SIP Stack (RFC 3261)
  SDP parser
  RTP and RTCP stack
  DNS-Client
  STUN/TURN/ICE stack
  BFCP
  Jitter-buffer
  Async I/O (poll, epoll, select)
  UDP/TCP/TLS transport
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support

Package: libre-dev
Architecture: any
Section: libdevel
Depends: libre0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Generic library for real-time communications (development files)
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  SIP Stack (RFC 3261)
  SDP parser
  RTP and RTCP stack
  DNS-Client
  STUN/TURN/ICE stack
  BFCP
  Jitter-buffer
  Async I/O (poll, epoll, select)
  UDP/TCP/TLS transport
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support
 .
 This package is only the library development files.
