=== debian/watch ===
version=3
http://www.creytiv.com/pub/ re-(.*)\.tar\.gz
