## libre 0.4.17

=== debian/changelog ===
libre (0.4.17-3) unstable; urgency=medium

  * Update symbol file for all architectures.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 27 Aug 2016 15:38:50 +0530

libre (0.4.17-2) unstable; urgency=medium

  * Fix watch file.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 10 Aug 2016 17:37:51 +0200

libre (0.4.17-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Imported Upstream version 0.4.17
  * Build with hardening=+all (lintian hardening-no-bindnow).
  * Add new symbols.

  [ Vasudev Kamath ]
  * Imported Upstream version 0.4.15
  * Imported Upstream version 0.4.16
  * debian/gbp.conf:
    + Filter debian folder from upstream while importing via gbp.
  * Update symbols file to make epoll_check symbol available on i386
    architecture also.
  * Bump watch file format to version 4.
  * debian/control:
    + Mark package as compliant to Debian Policy 3.9.8.
    + Use secure https URL for Vcs-Git and Vcs-Browser field.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jul 2016 11:29:44 +0200
