=== debian/changelog ===
libre (0.5.0-3) unstable; urgency=medium

  * Update patch 1001 for to fix kFreeBSD FTBFS.
    Closes: bug#804738, Thanks to Aaron M Ucko.
  * Mark epoll_base as specific to only linux
  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 28 Dec 2016 21:19:02 +0530

libre (0.5.0-2) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * Update copyright info: Add alternate git source URL.

  [ Vasudev Kamath ]
  * Add support for building on Hurd and kFreeBSD

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 28 Dec 2016 17:42:50 +0530

libre (0.5.0-1) unstable; urgency=medium

  * Import new upstream version 0.5.0
    + Remove support for Symbian OS
    + Add support for OpenSSL 1.1.0 in various modules.
    + Add udp_helper_find
  * Drop patch 000_re-openssl-1.1.0, already integrated in upstream
    release.
  * Update symbols file for 0.5.0 release.
  * Drop README from debian/docs file.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 10 Dec 2016 10:12:05 +0530
