=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Vasudev Kamath <vasudev@copyninja.info>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
-Vcs-Git: git://anonscm.debian.org/pkg-voip/libre.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/libre.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/libre.git
 
 Package: libre0
 Architecture: any
