=== debian/watch ===
version=3
http://www.creytiv.com/pub/ re-([0-9.]*)\.tar\.gz
