=== debian/changelog ===
libre (0.5.4-3ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Refresh symbols due to differences in openssl used.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 04 Jul 2017 09:21:42 +0530

libre (0.5.4-3) unstable; urgency=medium

  * Update symbols: Drop _all_ exceptions for alpha and ppc64.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 14:29:09 +0200

libre (0.5.4-2) unstable; urgency=medium

  * Update symbols: Stop exclude 1 symbol for alpha and ppc64.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 13:31:06 +0200

libre (0.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release:
    + Add rtp extension bit to the api.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 11:54:31 +0200

libre (0.5.3-2ubuntu1) artful; urgency=medium

  * Refresh symbols to fix FTBFS caused by building against a different
    openssl than Debian (LP: #1699430).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 22 Jun 2017 14:57:14 -0500

libre (0.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Update symbols: 16 added/updated.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jun 2017 20:11:53 +0200

libre (0.5.3-1) experimental; urgency=medium

  [ upstream ]
  * New release(s):
    + Handle Debian/kFreeBSD and Hurd.
    + Make enum ice_role type public.
    + Fix build for Solaris 11.
    + Use unsigned for srtcp encrypted bit.
    + Add tls_openssl_context() accessor function.
    + Upgrade Windows project to VS2015.
    + Makefile improvements.
    + Remove session object "struct ice".
    + Make sampling rate for telephone events configurable.

  [ Jonas Smedegaard ]
  * Add myself as uploader. Sort uploaders in control file.
  * Update copyright info:
    + Update alternate git source URL.
    + Add Github issue tracker as preferred upstream contact.
    + Tidy and sort copyright holders.
    + Use License sections, wrapped at 72 chars.
    + Extend coverage for main upstream author.
  * Have git-buildpackage filter any .git* file.
  * Add copyright-check maintainer script to source.
  * Drop patch 1001 adopted upstream.
  * Tidy patch 0001 to use DEP3 header.
  * Git-ignore quilt .pc dir.
  * Relax symbols check when targeting experimental.
  * Remove Ramakrishnan Muthukrishnan as uploader.
    Thanks for your contributions, Ramakrishnan!
    Closes: Bug#859283. Thanks to Mattia Rizzolo.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 15:23:08 +0200

libre (0.5.1-1) experimental; urgency=medium

  * New upstream version 0.5.1

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 12 Mar 2017 17:25:55 +0530
