=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@josefsson.org>, Vasudev Kamath <vasudev@copyninja.info>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Simon Josefsson <simon@josefsson.org>,
+ Vasudev Kamath <vasudev@copyninja.info>
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
