## libre 0.5.5

=== debian/changelog ===
libre (0.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release:
    + Project URL: <https://github.com/creytiv/re>.
    + ice: move gathering to application.
    + mod: add accessor function to module list.
    + sipreg: Added function sipreg_laddr().
    + sys: optimize rand_str() and rand_char().

  [ Jonas Smedegaard ]
  * Advertise DEP3 format in patch headers.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info: Use https protocol in file format URL.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Sep 2017 01:35:44 +0200
