=== debian/changelog ===
libre (0.5.6-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:44 +0000

libre (0.5.6-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Refresh symbols due to differences in openssl used.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Jan 2018 09:49:43 -0800

libre (0.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump watch file to format 4.
    + Add usage comment.
    + Use patterns for version and suffix.
  * Declare compliance with Debian Policy 4.1.1.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Update copyright info: License my contributions as GPL-3+.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#s786450.
  * Update symbols: 6 added, 2 dropped.
  * Add lintian overrides regarding GPL linked with OpenSSL: Packaging
    is not linked with upstream code.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Dec 2017 20:55:42 +0100

libre (0.5.5-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Refresh symbols due to differences in openssl used.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 23:43:41 -0700
