=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Simon Josefsson <simon@josefsson.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/libre.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/libre.git
 
 Package: libre0
 Architecture: any
