=== debian/changelog ===
libre (0.5.8-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.4.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Fix Homepage URL.
  * Update symbols: 4 added.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 May 2018 14:09:31 +0200

libre (0.5.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update symbols: 1 added, 2 removed.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 21:06:38 +0100
