=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Simon Josefsson <simon@josefsson.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
-Homepage: http://www.creytiv.com/re
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/libre.git
+Homepage: http://www.creytiv.com/re.html
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
 
 Package: libre0
 Architecture: any
