## libre 0.6.0

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 # Master version number
 VER_MAJOR := 0
-VER_MINOR := 5
-VER_PATCH := 8
+VER_MINOR := 6
+VER_PATCH := 0
 
 PROJECT   := re
-VERSION   := 0.5.8
+VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
 
 MK	:= mk/re.mk
 
@@ -32,6 +32,7 @@
 MODULES += aes srtp
 MODULES += odict
 MODULES += json
+MODULES += rtmp
 
 INSTALL := install
 ifeq ($(DESTDIR),)
