=== debian/changelog ===
libre (0.6.0-4) unstable; urgency=medium

  * Fix FTCBFS: Pass CC for all targets.
    Closes: Bug#932921. Thanks to Helmut Grohne.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Jul 2019 20:23:37 -0300

libre (0.6.0-3) unstable; urgency=medium

  * Drop Simon Josefsson as uploader by his request.
    Thanks for your past contributions.
  * Declare compliance with Debian Policy 4.4.0.
  * Use debhelper compatibility level 10 (not 9).
    Stop explicitly add option --parallel.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2019 21:01:00 -0300

libre (0.6.0-2) unstable; urgency=medium

  * Add patches cherry-picked upstream to fix rtmp issues.
  * Unfuzz patches.
  * Declare compliance with Debian Policy 4.3.0.
  * Relax to build-depend unversioned on debhelper:
    Needed version satisfied even in oldstable.
  * Update copyright info: Extend coverage of packaging.
  * Update symbols: 1 added.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jan 2019 03:13:23 +0100

libre (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Wrap and sort control file, and debhelper install hints.
  * Update long descriptions based on upstream README.
    Fix lower-case initial letter in short descriptions.
  * Update symbols: 45 symbols added.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2018 22:06:47 +0100

libre (0.5.9-2) unstable; urgency=medium

  * Update patches:
    + Add patches 1001 1002 1003 to properly do multiarch and no sysroot
      (replacing patch 0001).
      Closes: Bug#911358. Thanks to Helmut Grohne.
    + Document patch numbering micro-policy in source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Oct 2018 09:36:31 +0200

libre (0.5.9-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Oct 2018 08:06:18 +0200
