=== debian/control ===
Source: libre
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>,
Standards-Version: 4.4.0
Build-Depends:
 debhelper,
 libssl-dev,
 pkg-kde-tools,
Homepage: http://www.creytiv.com/re.html
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
Rules-Requires-Root: no

Package: libre0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic library for real-time communications with async IO support
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  * SIP Stack (RFC 3261)
  * SDP
  * RTP and RTCP
  * SRTP and SRTCP (Secure RTP)
  * DNS-Client
  * STUN/TURN/ICE stack
  * BFCP
  * HTTP-stack with client/server
  * Websockets
  * Jitter-buffer
  * Async I/O (poll, epoll, select, kqueue)
  * UDP/TCP/TLS/DTLS transport
  * JSON parser
  * Real Time Messaging Protocol (RTMP)
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support

Package: libre-dev
Architecture: any
Section: libdevel
Depends:
 libre0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic library for real-time communications (development files)
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  * SIP Stack (RFC 3261)
  * SDP
  * RTP and RTCP
  * SRTP and SRTCP (Secure RTP)
  * DNS-Client
  * STUN/TURN/ICE stack
  * BFCP
  * HTTP-stack with client/server
  * Websockets
  * Jitter-buffer
  * Async I/O (poll, epoll, select, kqueue)
  * UDP/TCP/TLS/DTLS transport
  * JSON parser
  * Real Time Messaging Protocol (RTMP)
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support
 .
 This package provides development headers.
