=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/buildtools.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CC
 
 DH_VERBOSE = 1
 
 %:
-	dh $@ --with pkgkde_symbolshelper --parallel
+	dh $@ --with pkgkde_symbolshelper
 
 EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
 EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"
