=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
  libssl-dev,
  pkg-kde-tools,
+ zlib1g-dev,
 Homepage: http://www.creytiv.com/re.html
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
@@ -17,6 +18,7 @@
 
 Package: libre0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
@@ -41,7 +43,7 @@
   * Async I/O (poll, epoll, select, kqueue)
   * UDP/TCP/TLS/DTLS transport
   * JSON parser
-  * Real Time Messaging Protocol (RTMP)
+  * RTMP and RTMPS (Real Time Messaging Protocol)
  .
  Design goals:
  .
@@ -52,6 +54,7 @@
 
 Package: libre-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libre0 (= ${binary:Version}),
@@ -77,7 +80,7 @@
   * Async I/O (poll, epoll, select, kqueue)
   * UDP/TCP/TLS/DTLS transport
   * JSON parser
-  * Real Time Messaging Protocol (RTMP)
+  * RTMP and RTMPS (Real Time Messaging Protocol)
  .
  Design goals:
  .
