## libre 1.1.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 #
 
 # Master version number
-VER_MAJOR := 0
-VER_MINOR := 6
-VER_PATCH := 1
+VER_MAJOR := 1
+VER_MINOR := 1
+VER_PATCH := 0
 
 PROJECT   := re
 VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
