=== debian/changelog ===
libre (1.1.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:32:53 +0000

libre (1.1.0-1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:27:34 +0000

libre (1.1.0-1build2) mantic; urgency=medium

  * No-change rebuild against glibc 2.38-1ubuntu2

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 11 Aug 2023 12:50:48 +0200

libre (1.1.0-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 17:58:17 +0100

libre (1.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release
    + dns: listen on IPv4 and IPv6 socket;
      closes: bug#971980, thanks to Kevin Otte

  [ Jonas Smedegaard ]
  * simplify build: stop set verbose debhelper output
  * update symbols: 11 symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Oct 2020 02:51:43 +0200

libre (1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * New release

  [ Jonas Smedegaard ]
  * switch upstream source URLs to use baresip fork
  * simplify source script copyright-check
  * copyright: update coverage
  * unfuzz patches
  * update symbols:
    + 12 symbols added
    + 1 symbol dropped
    break older baresip-core using the dropped symbol

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 10:42:27 +0200
