=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
@@ -23,6 +24,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ baresip-core (<< 1.0.0),
 Description: generic library for real-time communications with async IO support
  Libre is a portable and generic library for real-time communications
  with async IO support and a complete SIP stack with support for protocols
