=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CC
-
-DH_VERBOSE = 1
 
 EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
 EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"
