=== debian/changelog ===
libre (2.0.1-3) unstable; urgency=medium

  * Team upload
  * Build with _GNU_SOURCE;
    closes: bug#1075201

 -- Bastian Germann <bage@debian.org>  Thu, 07 Nov 2024 20:06:08 +0000

libre (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Sun, 05 May 2024 18:14:16 +0000

libre (2.0.1-1) experimental; urgency=medium

  * update watch file:
    + mangle upstream exp/dev version hints
    + use dversionmange=auto
  * update copyright info:
    + use Reference field (not License-Reference)
    + update coverage
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Dec 2021 20:09:28 +0100

libre (2.0.1-1~exp2) experimental; urgency=medium

  * fix provide binary package libre1
    (not libre0.1 caused by broken build routine leftovers);
    closes: bug#990848, thanks to Andreas Beckmann
  * rephrase previous changelog entry, thanks to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Jul 2021 11:47:45 +0200

libre (2.0.1-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release(s)

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * update and unfuzz patches
  * provide binary package libre0.1 (not libre0)
    to reflect SONAME change

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jun 2021 11:49:05 +0200

libre (1.1.0-2) experimental; urgency=medium

  * fix have libre-dev depend on zlib1g-dev;
    closes: bug#986539, thanks to Nicholas Brown
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Apr 2021 11:43:22 +0200
