=== debian/control ===
--- 
+++ 
@@ -1,31 +1,28 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libssl-dev,
  pkg-kde-tools,
  zlib1g-dev,
-Homepage: http://www.creytiv.com/re.html
+Homepage: https://github.com/baresip/re
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
 Rules-Requires-Root: no
 
-Package: libre0
+Package: libre1
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- baresip-core (<< 1.0.0),
 Description: generic library for real-time communications with async IO support
  Libre is a portable and generic library for real-time communications
  with async IO support and a complete SIP stack with support for protocols
@@ -60,7 +57,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libre0 (= ${binary:Version}),
+ libre1 (= ${binary:Version}),
+ zlib1g-dev,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: generic library for real-time communications (development files)
