=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CC
 
-EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
-EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"
+EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS)"
+EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE"
 
 # relax symbols check when targeting experimental
 EXP_RELEASE = $(filter experimental% UNRELEASED,\
@@ -24,21 +24,15 @@
 		RELEASE=1 \
 		USE_OPENSSL=1 \
 		EXTRA_LFLAGS=$(EXTRA_LFLAGS) \
-		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
-		LIB_SUFFIX=.so.0
+		EXTRA_CFLAGS=$(EXTRA_CFLAGS)
 
 LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)
 
 override_dh_auto_install:
-	dh_auto_install -- \
-		LIBDIR=$(LIBDIR) \
-		LIB_SUFFIX=.so.0
-	cd debian/tmp/$(LIBDIR) && \
-		ln -s -f libre.so.0 libre.so
+	dh_auto_install -- LIBDIR=$(LIBDIR)
 	sed -i "s,libdir=\$${prefix}/lib,libdir=\$${prefix}/lib/$(DEB_TARGET_MULTIARCH)," debian/tmp/$(LIBDIR)/pkgconfig/libre.pc
 
 override_dh_auto_clean:
-	make clean LIB_SUFFIX=.so.0
 	rm -f GNUmakefile
 
 override_dh_auto_test:
