=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,\
uversionmangle=s/-(?=dev|exp)/+/,\
dversionmangle=auto \
https://github.com/baresip/re.git refs/tags/@ANY_VERSION@
